org.apache.olingo.odata2.api.processor.part

## Interface EntitySimplePropertyProcessor

- All Superinterfaces:
    ODataProcessor
  All Known Implementing Classes:
    CustomODataJPAProcessor, ListsProcessor, ODataJPADefaultProcessor, ODataJPAProcessor, ODataSingleProcessor

      public interface EntitySimplePropertyProcessor
      extends ODataProcessor

  Execute a OData entity simple property request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataResponse` | `readEntitySimpleProperty(GetSimplePropertyUriInfo uriInfo, String contentType)` Reads a simple property of an entity.
    `ODataResponse` | `updateEntitySimpleProperty(PutMergePatchUriInfo uriInfo, InputStream content, String requestContentType, String contentType)` Updates a simple property of an entity.

    - ### Methods inherited from interface org.apache.olingo.odata2.api.processor.ODataProcessor

      `getContext, setContext`

- - ### Method Detail

    - #### readEntitySimpleProperty

          ODataResponse readEntitySimpleProperty(GetSimplePropertyUriInfo uriInfo,
                                                 String contentType)
                                          throws ODataException

      Reads a simple property of an entity.
      Parameters:
        `contentType` - the content type of the response
      Returns:
        a `ODataResponse` object
      Throws:
        `ODataException`

    - #### updateEntitySimpleProperty

          ODataResponse updateEntitySimpleProperty(PutMergePatchUriInfo uriInfo,
                                                   InputStream content,
                                                   String requestContentType,
                                                   String contentType)
                                            throws ODataException

      Updates a simple property of an entity.
      Parameters:
        `uriInfo` - information about the request URI
        `content` - the content of the request, containing the updated property data
        `requestContentType` - the content type of the request body
        `contentType` - the content type of the response
      Returns:
        a `ODataResponse` object
      Throws:
        `ODataException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.